//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
// 
// CPPReference.cpp : Definiuje punkt wejścia dla aplikacji konsoli.
//

#include "stdafx.h"
class Point
{
	// Zdarzenie używane przez klienta w celu powiadomienia
	// o zmianie elementów listy:
private:
	int _x;
	int _y;

public:
	Point() : _x(0), _y(0)
	{
	}
	Point(int x, int y) : _x(x), _y(y)
	{
	}
	int get_X() const
	{
		return _x;
	}
	int set_X(int value)
	{
		_x = value;
	}
	int get_Y() const
	{
		return _y;
	}
	int set_Y(int value)
	{
		_y = value;
	}
};

int _tmain(int argc, _TCHAR* argv[])
{
	Point *p = new Point(1, 2);
	delete p;
	return 0;
}

